Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004434OCamlCamlp4public2007-10-26 22:512010-04-29 14:26
Reportermottl 
Assigned Toertai 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.10+dev 
Target VersionFixed in Version3.10+dev 
Summary0004434: Camlp4 generates incorrect human-readable code for negative floats
DescriptionThe following camlp4 invocation prints incorrect OCaml-code:

  $ camlp4o -str "f (-13.0)"
  f -13.0
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004338)
ertai (developer)
2007-11-21 17:50

Thanks for the report. This issue is now fixed in the CVS (trunk and release310).

- Issue History
Date Modified Username Field Change
2007-10-26 22:51 mottl New Issue
2007-11-10 14:08 xleroy Status new => assigned
2007-11-10 14:08 xleroy Assigned To => ertai
2007-11-21 17:50 ertai Note Added: 0004338
2007-11-21 17:50 ertai Status assigned => resolved
2007-11-21 17:50 ertai Resolution open => fixed
2007-11-21 17:50 ertai Fixed in Version => 3.10+dev
2010-04-29 14:26 xleroy Status resolved => closed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker